Debian Bug report logs - #703514
docbook-xsl: New upstream release and watch file no longer working

version graph

Package: docbook-xsl; Maintainer for docbook-xsl is Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>; Source for docbook-xsl is src:docbook-xsl.

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Wed, 20 Mar 2013 13:30:01 UTC

Severity: important

Found in version docbook-xsl/1.76.1+dfsg-1

Fixed in version docbook-xsl/1.78.1+dfsg-1

Done: Daniel Leidert <dleidert@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#703514; Package docbook-xsl. (Wed, 20 Mar 2013 13:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. (Wed, 20 Mar 2013 13:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: docbook-xsl: New upstream release and watch file no longer working
Date: Wed, 20 Mar 2013 14:27:24 +0100
Package: docbook-xsl
Version: 1.76.1+dfsg-1
Severity: important

Hello,

We're several upstream release behind... the latest version is 1.78.1.

I also noticed that the watch file is no longer working because it looks
for .tar.gz when upstream started shipping .tar.bz2 in between.

--- docbook-xsl-1.76.1+dfsg/debian/watch	2011-11-17 11:02:33.000000000 +0100
+++ docbook-xsl-1.76.1+dfsg/debian/watch	2013-03-20 14:18:43.000000000 +0100
@@ -7,8 +7,8 @@
 
 version=3
 opts=dversionmangle=s/\+dfsg$// \
- http://sf.net/docbook/docbook-xsl-ns-([\d\.]+)\.tar\.gz
+ http://sf.net/docbook/docbook-xsl-ns-([\d\.]+)\.tar\.(gz|bz2)
 
 opts=dversionmangle=s/\+dfsg$// \
- http://sf.net/docbook/docbook-xsl-([\d\.]+)\.tar\.gz \
+ http://sf.net/docbook/docbook-xsl-([\d\.]+)\.tar\.(gz|bz2) \
  debian /bin/sh debian/get-orig-source.sh


Publican requires dockbook-xsl >= 1.77 so I would welcome an upload of the
latest version, either in experimental or in unstable.

If you need sponsorship, let me know.

-- System Information:
Debian Release: 7.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.7-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages docbook-xsl depends on:
ii  xml-core  0.13+nmu2

Versions of packages docbook-xsl recommends:
ii  docbook-xml  4.5-7.1

Versions of packages docbook-xsl suggests:
ii  dbtoepub                               0+svn9150-2
ii  docbook-xsl-doc-pdf [docbook-xsl-doc]  1.76.1-1
pn  docbook-xsl-saxon                      <none>
ii  fop                                    1:1.0.dfsg2-6
ii  libsaxon-java                          1:6.5.5-8
ii  libxalan2-java                         2.7.1-7
pn  libxslthl-java                         <none>
pn  xalan                                  <none>

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#703514; Package docbook-xsl. (Thu, 28 Mar 2013 22:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. (Thu, 28 Mar 2013 22:09:09 GMT) Full text and rfc822 format available.

Message #10 received at 703514@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert@wgdd.de>
To: 703514-submitter@bugs.debian.org, 703514@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#703514: docbook-xsl: New upstream release and watch file no longer working
Date: Thu, 28 Mar 2013 23:02:06 +0100
forcemerge 696929 703514
thx

Am Mittwoch, den 20.03.2013, 14:27 +0100 schrieb Raphaël Hertzog:

> We're several upstream release behind... the latest version is 1.78.1.

That' true. The wheezy release is holding things back. There is no way
to upload an updated version to unstable.

Regards, Daniel





Message sent on to Raphaël Hertzog <hertzog@debian.org>:
Bug#703514. (Thu, 28 Mar 2013 22:09:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#703514; Package docbook-xsl. (Fri, 29 Mar 2013 09:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. (Fri, 29 Mar 2013 09:09:07 GMT) Full text and rfc822 format available.

Message #18 received at 703514@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Daniel Leidert <daniel.leidert@wgdd.de>
Cc: 703514@bugs.debian.org
Subject: Re: Bug#703514: docbook-xsl: New upstream release and watch file no longer working
Date: Fri, 29 Mar 2013 10:07:00 +0100
Hi,

On Thu, 28 Mar 2013, Daniel Leidert wrote:
> Am Mittwoch, den 20.03.2013, 14:27 +0100 schrieb Raphaël Hertzog:
> 
> > We're several upstream release behind... the latest version is 1.78.1.
> 
> That' true. The wheezy release is holding things back. There is no way
> to upload an updated version to unstable.

There's experimental, that's where I'm packaging the new version of
publican which requires this. I would be happy to see the latest version
in experimental.

And BTW some of the new upstream releases were released before the freeze,
1.77.0 and 1.77.1 dates back to may and june last year (and in fact
that's the minimal version that I need for publican).

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#703514; Package docbook-xsl. (Fri, 17 May 2013 04:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Borden Rhodes <jrvp@bordenrhodes.com>:
Extra info received and forwarded to list. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. (Fri, 17 May 2013 04:12:04 GMT) Full text and rfc822 format available.

Message #23 received at 703514@bugs.debian.org (full text, mbox):

From: Borden Rhodes <jrvp@bordenrhodes.com>
To: 703514@bugs.debian.org
Subject: Re: Bug#703514: docbook-xsl: New upstream release and watch file no longer working
Date: Fri, 17 May 2013 00:08:00 -0400
Wheezy's out, and I, too, would like to see the docbook-xsl packaged so that 
way I can play around with the EPUB3 stylesheets. Can I do anything to help in 
the packaging?



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#703514; Package docbook-xsl. (Fri, 17 May 2013 07:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Daniel Leidert" <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>. (Fri, 17 May 2013 07:09:04 GMT) Full text and rfc822 format available.

Message #28 received at 703514@bugs.debian.org (full text, mbox):

From: "Daniel Leidert" <daniel.leidert@wgdd.de>
To: "Borden Rhodes" <jrvp@bordenrhodes.com>, 703514@bugs.debian.org
Subject: Re: Bug#703514: docbook-xsl: New upstream release and watch file no longer working
Date: Fri, 17 May 2013 09:02:04 +0200
Hi,

> Wheezy's out, and I, too, would like to see the docbook-xsl packaged so
> that way I can play around with the EPUB3 stylesheets.

It's on my todo list.

> Can I do anything to help in the packaging?

Sure. You can help out with packaging (join alioth and the debian-xml-sgml
project) or send patches for the packaging files. You can check if the
reported bugs do still exist in the last release or if the issue has been
adressed, you can check if suggested patches still apply, etc....

Regards, Daniel






Added tag(s) pending. Request was from Daniel Leidert <dleidert@debian.org> to control@bugs.debian.org. (Sat, 25 May 2013 22:27:06 GMT) Full text and rfc822 format available.

Reply sent to Daniel Leidert <dleidert@debian.org>:
You have taken responsibility. (Sun, 26 May 2013 18:52:01 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Sun, 26 May 2013 18:52:01 GMT) Full text and rfc822 format available.

Message #35 received at 703514-close@bugs.debian.org (full text, mbox):

From: Daniel Leidert <dleidert@debian.org>
To: 703514-close@bugs.debian.org
Subject: Bug#703514: fixed in docbook-xsl 1.78.1+dfsg-1
Date: Sun, 26 May 2013 18:48:52 +0000
Source: docbook-xsl
Source-Version: 1.78.1+dfsg-1

We believe that the bug you reported is fixed in the latest version of
docbook-xsl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 703514@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Leidert <dleidert@debian.org> (supplier of updated docbook-xsl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 26 May 2013 20:26:30 +0200
Source: docbook-xsl
Binary: docbook-xsl docbook-xsl-ns
Architecture: source all
Version: 1.78.1+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Changed-By: Daniel Leidert <dleidert@debian.org>
Description: 
 docbook-xsl - stylesheets for processing DocBook XML to various output formats
 docbook-xsl-ns - stylesheets for processing DocBook 5 XML to various output format
Closes: 207601 577807 605198 638570 650786 654338 666068 681116 684381 695742 696929 698962 703514
Changes: 
 docbook-xsl (1.78.1+dfsg-1) unstable; urgency=low
 .
   * New upstream release (closes: #696929).
     - Fixes fo:* element sequences in FO output (closes: #605198).
     - Removed passivetex extensions code (closes: #207601, #650786).
     - XHTML conversion scripts have been fixed (closes: #654338).
     - Handle book/info elements of DB5 correctly (closes:  #666068).
     - Fixed orientation of footnotes in blockquote (closes: #684381).
     - Fixed manual page output (closes: #695742).
   * debian/control: Added Multi-Arch: foreign. Dropped DM-Upload-Allowed.
     (Uploaders): Fixed my address.
     (Standards-Version): Bumped to 3.9.4.
   * debian/docbook-xsl.install, debian/docbook-xsl-ns.install: Added new and
     missing (VERSION.xsl) files.
   * debian/get-orig-source.sh: Minor fixes after upstream changed to bzip.
   * debian/rules: Install README files to documentation.
   * debian/watch: Check for bzip2 archives too (closes: #703514).
   * debian/patches/611924_html_same_ids_for_quote.patch: Dropped.
   * debian/patches/605696_fix_section_name_for_lexgrog.patch: Ditto.
   * debian/patches/577807_lang_spanish.patch: Added.
     - Fix spanish template generated text (closes: #577807).
   * debian/patches/638570_lang_russian.patch: Added.
     - Fix two translations (closes: #638570).
   * debian/patches/681116_multiarch_manpage_template.patch: Added.
     - Offer a way to omit build-time outpout to manpages (closes: #681116).
   * debian/patches/698962_fix_typo.patch: Added.
     - Fix a few typos (closes: #698962).
   * debian/patches/series: Adjusted.
Checksums-Sha1: 
 2b28d06fb54b186e4cd7df1a3e8fa29d21a21887 1534 docbook-xsl_1.78.1+dfsg-1.dsc
 b7c448460f1dc80fcd2924ca9ec33391759e8cb6 5782328 docbook-xsl_1.78.1+dfsg.orig.tar.bz2
 63cd99e026a882d943c4211768063d03c3e2c510 51814 docbook-xsl_1.78.1+dfsg-1.debian.tar.gz
 c7a696c400200da4ac5a67914bfa3e3ee502a678 2338728 docbook-xsl_1.78.1+dfsg-1_all.deb
 f2d675fb463dbbfeb2a991ef25fcc71de5710625 2328124 docbook-xsl-ns_1.78.1+dfsg-1_all.deb
Checksums-Sha256: 
 493f0c8dc417bbd2e95bff07f5b8b10a13ef0e9f445456cad216884cea760975 1534 docbook-xsl_1.78.1+dfsg-1.dsc
 0e4f9ec921a35cfea6643037f0e23f317cbb77f7b0b8cf4bd0f0e583568a32a9 5782328 docbook-xsl_1.78.1+dfsg.orig.tar.bz2
 afa937179f673ae12a6de2d429087bd76dd786b638270801f52daf5e2c70ac2d 51814 docbook-xsl_1.78.1+dfsg-1.debian.tar.gz
 d7006ce8ed7ab0e015a431199b47dfcbb1ddb00427ffa4792d2dadac237f0b41 2338728 docbook-xsl_1.78.1+dfsg-1_all.deb
 b4dede7d25358b11b1ebd860f1486edecd5b1ccc2d20abed2ef06d7c915ade56 2328124 docbook-xsl-ns_1.78.1+dfsg-1_all.deb
Files: 
 de16d2c0faf1dc424bfef84d606b0cea 1534 text optional docbook-xsl_1.78.1+dfsg-1.dsc
 7aca76563b58f4a72f518a1a9fe2ed27 5782328 text optional docbook-xsl_1.78.1+dfsg.orig.tar.bz2
 c1e6767cec0947efc7fc347e54fbc9e5 51814 text optional docbook-xsl_1.78.1+dfsg-1.debian.tar.gz
 30414f555b2f1f421fcc694873b6ffea 2338728 text optional docbook-xsl_1.78.1+dfsg-1_all.deb
 b5c60ba180f6ddc1e86f17fe9a57656f 2328124 text optional docbook-xsl-ns_1.78.1+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGiVNMACgkQm0bx+wiPa4yf3ACgv/nW3jKsfEup1GbfIFP/jAUj
AT4AnR1ZDkqHDoUlHc7PVy+5LUEyqE23
=ZZ6C
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 04 Jul 2013 07:29:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 08:00:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.